﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Instrumentation;

namespace OpcLabs.BaseLibFactory.Diagnostics
{
    static public class LogEntryEventArgsInstances
    {
        [NotNull]
        static public LogEntryEventArgs Instance0 => new LogEntryEventArgs();

        [NotNull]
        static public LogEntryEventArgs Instance1 => new LogEntryEventArgs("Source1", "Message1", LogEntryType.Warning, 1111, 22);

        [NotNull]
        static public LogEntryEventArgs Instance2 => new LogEntryEventArgs("Source2", "Message2", LogEntryType.Error, 1112, 23, new byte[] {100, 101, 102, 103, 104});
    }
}
