﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.Engine;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class EasyAEClientInstances
    {
        [NotNull]
        static public EasyAEClient Instance0 => new EasyAEClient();

        [NotNull]
        static public EasyAEClient Instance1 => new EasyAEClient
        {
            InstanceParameters = EasyAEInstanceParametersInstances.Instance1,
            //IsolatedParameters = EasyAEAdaptableParametersInstances.Instance1,    // IMPROVE: use when available
            Isolated = true,
        };
    }
}
