﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.Forms.Browsing;

namespace OpcLabs.EasyOpcFactory.Forms.Browsing
{
    static public class OpcBrowseModeInstances
    {
        [NotNull]
        static public OpcBrowseMode Instance1 => new OpcBrowseMode
        {
            AnchorElementType = OpcElementType.Server,
            ManualNodes = false,
            MultiSelect = false,
            SelectElementType = OpcElementType.AEAttribute,
            ShowListBranches = false,
        };

        [NotNull]
        static public OpcBrowseMode Instance2 => new OpcBrowseMode
        {
            AnchorElementType = OpcElementType.Computer,
            ManualNodes = true,
            MultiSelect = true,
            SelectElementType = OpcElementType.DANode,
            ShowListBranches = true,
        };
    }
}
