﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Connectivity.Point;

namespace OpcLabs.BaseLibFactory.Connectivity.Point
{
    static public class PointSourceDescriptorInstances
    {
        [NotNull]
        static public PointSourceDescriptor Instance0 => new PointSourceDescriptor();

        [NotNull]
        static public PointSourceDescriptor Instance1 => new PointSourceDescriptor(
            InfoInstances.Instance0, ParametersInstances.Instance0);

        [NotNull]
        static public PointSourceDescriptor Instance2 => new PointSourceDescriptor(
            ResourceDescriptorInstances.Instance1, RangeInstances.InstanceInt0);
    }
}
