﻿
using System;
using JetBrains.Annotations;

namespace OpcLabs.BaseLibFactory
{
    static public class ObjectArrayInstances
    {
        [NotNull]
        static public Object[] Empty => new object[0];

        [NotNull]
        static public Object[] SingleElementNull => new object[] {null};

        [NotNull]
        static public Object[] SingleElementInt32 => new object[] { 111 };

        [NotNull]
        static public Object[] SingleElementString => new object[] { "String1" };

        [NotNull]
        static public Object[] TwoElements => new object[] { 222, "String2" };

        [NotNull]
        static public Object[] MoreElements => new object[] { 222, "String2", null, 222.2d, false, true };

        // IMPROVE: have more
    }
}
