﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientMonitoredItemParametersInstances
    {
        [NotNull]
        static public UAClientMonitoredItemParameters Instance1 => new UAClientMonitoredItemParameters
        {
            RequireValidRevisedQueueSize = true,
            RetrialDelay = 11111,
        };

        [NotNull]
        static public UAClientMonitoredItemParameters Instance2 => new UAClientMonitoredItemParameters
        {
            CheckMonitoredItemId = true,
            RequireValidRevisedSamplingInterval = true,
        };

        [NotNull]
        static public UAClientMonitoredItemParameters Instance3 => new UAClientMonitoredItemParameters
        {
            SanitizeNotificationDataValue = true,
        };
    }
}
