﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAEndpointDescriptionChecksInstances
    {
        [NotNull]
        static public UAEndpointDescriptionChecks Instance1 => new UAEndpointDescriptionChecks
        {
            CheckEndpointUrl = true,
            CheckSecurityMode = true,
            CheckSecurityPolicyUri = true,
            CheckServerApplication = true,
            CheckServerCertificate = true,
            CheckTransportProfileUri = true,
            CheckUserIdentityTokens = true,
            RequireHostMatchCertificate = true,
            RequireValidDiscoveryUrls = true,
            UseStrictUrlMatch = true,
        };
    }
}
