﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.Implementation.NetApi.DataAccess;
using OpcLabs.EasyOpcLiveTest.Legacy.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.Legacy.NetApi.DataAccess
{
    //[TestClass]
    public partial class NetApiEasyDAClientTest
    {
        [TestClass]
        // ReSharper disable once InconsistentNaming
        public class NetApiEasyDAClientCatalogTest_IEasyDAClient_Functional : IEasyDAClientCatalogTest_Functional
        {
            public NetApiEasyDAClientCatalogTest_IEasyDAClient_Functional()
                : base(() => new NetApiEasyDAClient(), new DAServerCatalog(DAServerCatalogEntries.Real))
            {
            }
        }

        [TestClass]
        // ReSharper disable once InconsistentNaming
        public class NetApiEasyDAClientTest_IEasyDAClient_Com : IEasyDAClientTest_Com
        {
            public NetApiEasyDAClientTest_IEasyDAClient_Com()
                : base(() => new NetApiEasyDAClient())
            {
            }
        }

        [TestClass]
        // ReSharper disable once InconsistentNaming
        public class NetApiEasyDAClientTest_IEasyDAClient_Intrinsic : IEasyDAClientTest_Intrinsic
        {
            public NetApiEasyDAClientTest_IEasyDAClient_Intrinsic()
                : base(() => new NetApiEasyDAClient())
            {
            }
        }

    }
}
